Subject: [PATCH v5 7/8] ARM: brcmstb: gic: add compatible string for Broadcom Brahma15

From: [email-masked] (Marc C)
Date: Thu, 23 Jan 2014 14:57:23 -0800

Hi Florian,

>> Patch #8 [1] of this series has the "compatible" string set exactly that way. I was
>> following the pattern seen in the other reference DTS files, where "arm,cortex-a15-gic" is
>> used as the fall-back.
>
> Ah, I missed that, thanks! How about the CPU compatible property?
> AFAIK it is only used by arch/arm/kernel/topology.c, I am not sure if
> we have the exact same number to use as the "vanilla" Cortex-A15 here,
> or if we should have another number match against "brcm,brahma-b15".
> What do you think?

I think we should let the code fall-through to use the "SCHED_POWER_SCALE" defaults for
now, and not have an entry in the efficiency table. There are currently no BCM7xxx
platforms architected with heterogeneous multi-processing or multiple disparate CPU
clusters (like big.LITTLE).

Thanks,
Marc

On 01/23/2014 10:26 AM, Florian Fainelli wrote:
> Hi Marc,
> 
> 2014/1/22 Marc C <[email-masked]>:
>> Hi Florian,
>>
>>> Do not we also need to update drivers/irqchip/irq-gic.c to look for
>>> this compatible property? Alternatively should the example DTS contain
>>> the following:
>>>
>>> compatible = "brcm,brahma-b15-gic", "arm,cortex-a15-gic"?
>>
>> Patch #8 [1] of this series has the "compatible" string set exactly that way. I was
>> following the pattern seen in the other reference DTS files, where "arm,cortex-a15-gic" is
>> used as the fall-back.
> 
> Ah, I missed that, thanks! How about the CPU compatible property?
> AFAIK it is only used by arch/arm/kernel/topology.c, I am not sure if
> we have the exact same number to use as the "vanilla" Cortex-A15 here,
> or if we should have another number match against "brcm,brahma-b15".
> What do you think?
> 
>>
>> Thanks,
>> Marc C
>>
>> [1] https://lkml.org/lkml/2014/1/21/649
>>
>> On 01/22/2014 02:40 PM, Florian Fainelli wrote:
>>> Hi Marc,
>>>
>>> 2014/1/21 Marc Carino <[email-masked]>:
>>>> Document the Broadcom Brahma B15 GIC implementation as compatible
>>>> with the ARM GIC standard.
>>>>
>>>> Signed-off-by: Marc Carino <[email-masked]>
>>>> Acked-by: Florian Fainelli <[email-masked]>
>>>
>>> Do not we also need to update drivers/irqchip/irq-gic.c to look for
>>> this compatible property? Alternatively should the example DTS contain
>>> the following:
>>>
>>> compatible = "brcm,brahma-b15-gic", "arm,cortex-a15-gic"?
>>>
>>>> ---
>>>>  Documentation/devicetree/bindings/arm/gic.txt |    1 +
>>>>  1 files changed, 1 insertions(+), 0 deletions(-)
>>>>
>>>> diff --git a/Documentation/devicetree/bindings/arm/gic.txt b/Documentation/devicetree/bindings/arm/gic.txt
>>>> index 3dfb0c0..d7409fd 100644
>>>> --- a/Documentation/devicetree/bindings/arm/gic.txt
>>>> +++ b/Documentation/devicetree/bindings/arm/gic.txt
>>>> @@ -15,6 +15,7 @@ Main node required properties:
>>>>         "arm,cortex-a9-gic"
>>>>         "arm,cortex-a7-gic"
>>>>         "arm,arm11mp-gic"
>>>> +       "brcm,brahma-b15-gic"
>>>>  - interrupt-controller : Identifies the node as an interrupt controller
>>>>  - #interrupt-cells : Specifies the number of cells needed to encode an
>>>>    interrupt source.  The type shall be a <u32> and the value shall be 3.
>>>> --
>>>> 1.7.1
>>>>
>>>
>>>
>>>
>>
>>
>>
> 
> 
>